| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Default Profiles API
Defaults API
Collaboration diagram for Default Profiles API:

## Functions
int | oySetDefaultProfile (oyPROFILE_e type, const char *file_name)
int | oySetDefaultProfileBlock (oyPROFILE_e type, const char *file_name, void *mem, size_t size)
char * | oyGetDefaultProfileName (oyPROFILE_e type, oyAlloc_f allocate_func)

## Detailed Description

Functions to handle and configure default profiles.

See also
  path_names

## Function Documentation

char* oyGetDefaultProfileName | ( | oyPROFILE_e | type,
|  | oyAlloc_f | allocate_func
| ) |  |

Gets a default profile filename.

Parameters

  type | the kind of default profile
  allocate_func | the allocation function needed to reserve memory for the filename string

Returns
  filename

Referenced by oyProfile_s::oyProfile_FromStd(), and oyProfiles_s::oyProfiles_ForStd().

int oySetDefaultProfile | ( | oyPROFILE_e | type,
|  | const char * | file_name
| ) |  |

Sets a profile, which is available in the current configured path.

Parameters

  type | the kind of default profile
  file_name | the profile which shall become the default for the above specified profile type

Returns
  success

int oySetDefaultProfileBlock | ( | oyPROFILE_e | type,
|  | const char * | file_name,
|  | void * | mem,
|  | size_t | size
| ) |  |

Sets a profile, which is available in the current configured path.

Parameters

  type | the kind of default profile
  file_name | the profile which shall become the default for the above specified profile type
  mem | the memory containing the profile
  size | the profile size in mem

Returns
  success